<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE project>
<project>
  <pomVersion>3</pomVersion>
  <extend>${basedir}/../../etc/project.xml</extend>

  <name>ActiveMQ :: Resource Adapter</name>
  <id>activemq-ra</id>
  <shortDescription>JCA Managed Connections and Resource Adapters</shortDescription>
  <description>The ActiveMQ Java Connector Architecture Resource Adapter used
                 to manage ActiveMQ connection when run inside a J2EE app server.</description>

  <package>org.activemq.ra</package>
  <packageGroups>
    <packageGroup>
      <title>JCA Managed Connections and Resource Adapters</title>
      <packages>org.activemq.ra</packages>
    </packageGroup>
  </packageGroups>

  <dependencies>

    <dependency>
      <groupId>geronimo-spec</groupId>
      <artifactId>geronimo-spec-j2ee-connector</artifactId>
      <version>${geronimo_spec_j2ee_connector_version}</version>
      <properties>
        <rar.bundle>false</rar.bundle>
        <lib>true</lib>
      </properties>
    </dependency>

    <dependency>
      <groupId>activemq</groupId>
      <artifactId>activemq-core</artifactId>
      <version>${pom.currentVersion}</version>
      <properties>
        <rar.bundle>true</rar.bundle>
      </properties>
    </dependency>

    <dependency>
      <groupId>activemq</groupId>
      <artifactId>activemq-optional</artifactId>
      <version>${pom.currentVersion}</version>
      <properties>
        <rar.bundle>true</rar.bundle>
      </properties>
    </dependency>

    <dependency> <!-- Used for unit tests -->
      <groupId>activemq</groupId>
      <artifactId>activemq-core-test</artifactId>
      <version>${pom.currentVersion}</version>
    </dependency>

    <dependency>
      <groupId>jmock</groupId>
      <artifactId>jmock</artifactId>
      <version>${jmock_version}</version>
      <url>http://jmock.codehaus.org/</url>
    </dependency>

    <dependency>
      <groupId>jmock</groupId>
      <artifactId>jmock-cglib</artifactId>
      <version>${jmock_cglib_version}</version>
      <url>http://jmock.codehaus.org/</url>
    </dependency>

    <dependency>
      <groupId>cglib</groupId>
      <artifactId>cglib-full</artifactId>
      <version>${cglib_full_version}</version>
      <url>http://cglib.sourceforge.net/</url>
    </dependency>

    <dependency>
      <groupId>xstream</groupId>
      <artifactId>xstream</artifactId>
      <version>${xstream_version}</version>
      <properties>
        <rar.bundle>true</rar.bundle>
      </properties>
    </dependency>

    <dependency>
      <groupId>jmdns</groupId>
      <artifactId>jmdns</artifactId>
      <version>${jmdns_version}</version>
      <properties>
        <rar.bundle>true</rar.bundle>
      </properties>
    </dependency>

    <dependency>
      <groupId>activecluster</groupId>
      <artifactId>activecluster</artifactId>
      <version>${activecluster_version}</version>
      <properties>
        <rar.bundle>true</rar.bundle>
      </properties>
    </dependency>

    <dependency>
      <id>springframework</id>
      <artifactId>spring</artifactId>
      <version>${spring_version}</version>
      <url>http://www.springframework.org</url>
      <properties>
        <rar.bundle>true</rar.bundle>
      </properties>
    </dependency>

    <dependency>
      <groupId>activeio</groupId>
      <artifactId>activeio</artifactId>
      <version>${activeio_version}</version>
      <properties>
        <rar.bundle>true</rar.bundle>
      </properties>
    </dependency>

    <dependency>
      <groupId>incubator-derby</groupId>
      <artifactId>derby</artifactId>
      <version>${derby_version}</version>
      <properties>
        <rar.bundle>true</rar.bundle>
      </properties>
    </dependency>
  </dependencies>

  <build>
    <nagEmailAddress>dev@activemq.codehaus.org</nagEmailAddress>
    <sourceDirectory>src/java</sourceDirectory>
    <unitTestSourceDirectory>src/test</unitTestSourceDirectory>

    <integrationUnitTestSourceDirectory/>
    <aspectSourceDirectory/>

    <unitTest>
      <resources>
        <resource>
          <directory>src/test</directory>
          <includes>
            <include>**/*.properties</include>
            <include>**/*.xml</include>
          </includes>
        </resource>
      </resources>
      <includes>
        <include>**/*Test.*</include>
      </includes>
    </unitTest>
  </build>

</project>
